uk.gov.hmrc.ct.box

# ValidatableBox

###
Related Docs: object ValidatableBox | package box

#### trait ValidatableBox[T <: BoxRetriever] extends Validators with ExtraValidation

Linear Supertypes
ExtraValidation, Validators, AnyRef, Any
Known Subclasses
A5, AC106, AC106A, AC107, AC114, AC114A, AC114B, AC115, AC115A, AC115B, AC116, AC116A, AC116B, AC117, AC117A, AC117B, AC118, AC118A, AC118B, AC119, AC119A, AC119B, AC12, AC120, AC120A, AC120B, AC121, AC121A, AC121B, AC122, AC122A, AC122B, AC123, AC123A, AC123B, AC124, AC124A, AC124B, AC124C, AC124D, AC124E, AC125, AC125A, AC125B, AC125C, AC125D, AC125E, AC126, AC126A, AC126B, AC126C, AC126D, AC126E, AC127, AC127A, AC127B, AC127C, AC127D, AC127E, AC128, AC128A, AC128B, AC128C, AC128D, AC128E, AC129, AC129A, AC129B, AC129C, AC129D, AC129E, AC13, AC13, AC13, AC130, AC130A, AC130B, AC130C, AC130D, AC130E, AC131, AC131A, AC131B, AC131C, AC131D, AC131E, AC132, AC132A, AC132B, AC132C, AC132D, AC132E, AC133, AC133A, AC133B, AC133C, AC133D, AC133E, AC134, AC135, AC136, AC137, AC138, AC138B, AC139, AC139B, AC14, AC14, AC140, AC141, AC142, AC143, AC144, AC145, AC146, AC147, AC148, AC149, AC15, AC150, AC150B, AC151, AC151B, AC152, AC153, AC154, AC155, AC156, AC157, AC158, AC159, AC16, AC160, AC161, AC162, AC163, AC17, AC18, AC18, AC189, AC19, AC19, AC190, AC198A, AC199A, AC20, AC20, AC200, AC200A, AC209, AC209A, AC209B, AC21, AC21, AC210, AC210A, AC210B, AC211, AC211A, AC211B, AC212, AC212A, AC212B, AC212C, AC212D, AC212E, AC213, AC213A, AC213B, AC213C, AC213D, AC213E, AC214, AC214A, AC214B, AC214C, AC214D, AC214E, AC219, AC22, AC22, AC23, AC23, AC28, AC28, AC29, AC29, AC299A, AC30, AC30, AC300A, AC301A, AC302A, AC303A, AC304A, AC305A, AC306A, AC307A, AC308A, AC31, AC31, AC320, AC320A, AC321, AC322, AC323, AC324, AC34, AC34, AC34, AC35, AC35, AC35, AC36, AC38, AC39, AC401, AC402, AC403, AC404, AC405, AC405, AC406, AC406, AC410, AC410, AC411, AC411, AC415, AC416, AC416, AC42, AC420, AC420, AC421, AC421, AC425, AC425, AC426, AC426, AC43, AC44, AC45, AC450, AC451, AC455, AC456, AC460, AC461, AC465, AC466, AC470, AC471, AC490, AC491, AC50, AC5032, AC5052A, AC5052B, AC5052C, AC5058A, AC5064A, AC5076C, AC51, AC5123, AC5133, AC52, AC53, AC54, AC55, AC58, AC58, AC59, AC59, AC64, AC64, AC65, AC65, AC66, AC66, AC67, AC67, AC68, AC68, AC69, AC69, AC70, AC71, AC7100, AC7110A, AC7210, AC7210A, AC7210B, AC74, AC7401, AC75, AC7501, AC76, AC7601, AC77, AC7801, AC7806, AC7901, AC7995, AC7997, AC7998, AC7999, AC7999a, AC80, AC8021, AC8023, AC8033, AC8051, AC8052, AC8053, AC8054, AC8081, AC8082, AC8083, AC8084, AC8085, AC8087, AC8088, AC8089, AC8091, AC8092, AC81, AC8899, ACQ5021, ACQ5022, ACQ5031, ACQ5032, ACQ5033, ACQ5034, ACQ5035, ACQ8003, ACQ8009, ACQ8161, ACQ8989, ACQ8990, ACQ8991, AP1, AP2, AP3, AccountsApproval, AssetsEqualToSharesValidator, B150, B40, B42a, B42b, B45Input, B515, B55, B595, B620, B65, B860, B920, B925, B930, B935, B940, B955, B960, B960_1, B960_2, B960_3, B960_5, B965, B970, B975, B980, B985, BFQ1, Building, CATO24, CP15, CP16, CP17, CP18, CP19, CP20, CP21, CP22, CP23, CP24, CP25, CP252, CP26, CP27, CP28, CP281, CP281a, CP281b, CP281c, CP281d, CP283a, CP283b, CP283c, CP283d, CP285, CP286, CP286a, CP286b, CP287, CP288a, CP288b, CP29, CP30, CP301, CP3010, CP302, CP3020, CP303, CP3030, CP31, CP32, CP33, CP34, CP35, CP36, CP37, CP43, CP46, CP47, CP48, CP49, CP501, CP502, CP503, CP51, CP510, CP52, CP53, CP55, CP57, CP666, CP667, CP668, CP672, CP673, CP674, CP7, CP78, CP79, CP8, CP80, CP82, CP83, CP84, CP87Input, CP88, CP89, CP980, CP981, CP982, CP983, CP997, CP997c, CP997d, CPQ10, CPQ1000, CPQ117, CPQ17, CPQ18, CPQ19, CPQ20, CPQ21, CPQ321, CPQ7, CPQ8, CompaniesHouseAccountsApproval, ComputationValidatableBox, CountryOfRegistration, Director, Directors, E1, E10, E10, E100, E1001, E1013, E1030, E1031, E1032, E105, E11, E110, E115, E12, E120, E13, E130, E135, E14, E140, E145, E15, E150, E155, E16, E160, E165, E17, E170A, E170B, E175, E18, E180, E185, E19, E190, E2, E20, E20a, E21, E21b, E22, E22c, E23, E23d, E24eA, E24eB, E25f, E26, E27, E28, E3, E30, E35, E4, E40, E45, E5, E50, E55, E6, E60, E65, E7, E70, E75, E80, E85, E9, E95, HmrcAccountsApproval, J10, J10A, J15, J15A, J20, J20A, J25, J25A, J30, J30A, J35, J35A, J40, J40A, J45, J45A, J5, J50, J50A, J5A, LEC01, LP04, LPQ03, LPQ04, LPQ07, LPQ10, LoanToDirector, LoansToDirectors, LoansToParticipators, N092, PAYEEQ1, REPAYMENTSQ1, RSQ1, RSQ2, RSQ4, RSQ7, RSQ8, RelatedPartyTransaction, RelatedPartyTransactions, SBA01, SchemeDateBox, SchemeReferenceNumberBox, SelfValidatableBox, ValidateDeclarationNameOrStatus
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ValidatableBox
2. ExtraValidation
3. Validators
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def validate(boxRetriever: T): Set[CtValidation]

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def And(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

5. #### def Or(predicates: () ⇒ Boolean*)(): Boolean

   Attributes
     protected
   Definition Classes
     Validators

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]

   Attributes
     protected

8. #### def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     Validators

9. #### def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

   Attributes
     protected
   Definition Classes
     Validators

10. #### val boxId: String

    Attributes
      protected
    Definition Classes
      Validators

11. #### def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

14. #### def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

18. #### def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

19. #### def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def isEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### def nonEmpty(value: Option[_]): Boolean

    Attributes
      protected
    Definition Classes
      Validators

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

30. #### val postCodeRegex: String

    Attributes
      protected
    Definition Classes
      ExtraValidation

31. #### def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

32. #### def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]

    Attributes
      protected

36. #### def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]

    Attributes
      protected

37. #### def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]

    Attributes
      protected

38. #### def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

39. #### def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected

40. #### def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]

    Attributes
      protected

41. #### def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]

    Attributes
      protected

42. #### def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected

43. #### def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]

    Attributes
      protected

44. #### def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected

45. #### def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected

46. #### def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]

    Attributes
      protected

47. #### def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]

    Attributes
      protected

48. #### def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]

    Attributes
      protected

49. #### def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected

50. #### def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]

    Attributes
      protected

51. #### def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]

    Attributes
      protected

52. #### def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]

    Definition Classes
      ExtraValidation

53. #### def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected

54. #### def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected

55. #### def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected

56. #### def validateMoney(value: Option[Int], min: Int = 99999999, max: Int = 99999999)(): Set[CtValidation]

    Attributes
      protected
    Definition Classes
      Validators

57. #### def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]

58. #### def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]

59. #### def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]

    Attributes
      protected

60. #### def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected

61. #### def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]

    Definition Classes
      ExtraValidation

62. #### def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]

    Attributes
      protected

63. #### def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]

    Attributes
      protected

64. #### def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected

65. #### def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected

66. #### def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected

67. #### def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

68. #### def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]

    Definition Classes
      ExtraValidation

69. #### def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

70. #### def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

71. #### def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]

    Attributes
      protected

72. #### def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected

73. #### def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected

74. #### def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected

75. #### def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]

    Attributes
      protected

76. #### def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]

77. #### def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]

    Attributes
      protected

78. #### def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]

    Attributes
      protected

79. #### def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]

    Definition Classes
      ExtraValidation

80. #### def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]

81. #### def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected

82. #### def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]

    Attributes
      protected

83. #### def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]

    Attributes
      protected

84. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

85. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

86. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from AnyRef

### Inherited from Any

### Ungrouped